from typing import Union

from fastapi import FastAPI

app = FastAPI()

remaining_time_secs = 1000


@app.get("/")
def read_root():
    return {"Hello": "World"}


@app.get("/remaining_time")
def get_remaining_time():
    return { "secs": remaining_time_secs }


# @app.get("/items/{item_id}")
# def read_item(item_id: int, q: Union[str, None] = None):
#     return {"item_id": item_id, "q": q}